> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all redirects.

> Find all redirects of a project.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /helpcenter-redirect
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /helpcenter-redirect:
    get:
      tags:
        - Help center redirects
      summary: Find all redirects.
      description: Find all redirects of a project.
      operationId: FindRedirects
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HelpcenterRedirectDocument'
                type: array
      security:
        - jwt: []
components:
  schemas:
    HelpcenterRedirectDocument:
      allOf:
        - $ref: '#/components/schemas/HelpcenterRedirect'
        - $ref: '#/components/schemas/Document'
    HelpcenterRedirect:
      $ref: '#/components/schemas/InferSchemaType_typeofhelpcenterRedirectSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofhelpcenterRedirectSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofhelpcenterRedirectSchema.any.ObtainSchemaGeneric_typeofhelpcenterRedirectSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofhelpcenterRedirectSchema.any.ObtainSchemaGeneric_typeofhelpcenterRedirectSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            matchType:
              $ref: '#/components/schemas/RedirectMatchType'
            newUrl:
              type: string
            oldUrl:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
          required:
            - matchType
            - newUrl
            - oldUrl
            - project
          type: object
    NativeDate:
      type: string
    RedirectMatchType:
      enum:
        - exact
        - pattern
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````